## EntangleCameraAutomata

EntangleCameraAutomata — Automation for the camera capture tasks

## Functions

EntangleCameraAutomata * | entangle_camera_automata_new ()
void | entangle_camera_automata_capture_async ()
gboolean | entangle_camera_automata_capture_finish ()
void | entangle_camera_automata_preview_async ()
gboolean | entangle_camera_automata_preview_finish ()
void | entangle_camera_automata_set_camera ()
EntangleCamera * | entangle_camera_automata_get_camera ()
void | entangle_camera_automata_set_session ()
EntangleSession * | entangle_camera_automata_get_session ()
void | entangle_camera_automata_set_delete_file ()
gboolean | entangle_camera_automata_get_delete_file ()

## Properties

EntangleCamera * | camera | Read / Write
gboolean | delete-file | Read / Write
EntangleSession * | session | Read / Write

## Signals

void | camera-capture-begin | Run First
void | camera-capture-end | Run First

## Types and Values

#define | ENTANGLE_TYPE_CAMERA_AUTOMATA
| EntangleCameraAutomata

## Object Hierarchy

        GObject
        ╰── EntangleCameraAutomata

## Description

The EntangleCameraAutomata object provides a simpler way to drive the capture operations for the camera, automating the steps for downloading the images after capture.

## Functions

### entangle_camera_automata_new ()

    EntangleCameraAutomata *
    entangle_camera_automata_new (void);

### entangle_camera_automata_capture_async ()

    void
    entangle_camera_automata_capture_async
                                   (EntangleCameraAutomata *automata,
                                    GCancellable *cancel,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### entangle_camera_automata_capture_finish ()

    gboolean
    entangle_camera_automata_capture_finish
                                   (EntangleCameraAutomata *automata,
                                    GAsyncResult *res,
                                    GError **error);

### entangle_camera_automata_preview_async ()

    void
    entangle_camera_automata_preview_async
                                   (EntangleCameraAutomata *automata,
                                    GCancellable *cancel,
                                    GCancellable *confirm,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### entangle_camera_automata_preview_finish ()

    gboolean
    entangle_camera_automata_preview_finish
                                   (EntangleCameraAutomata *automata,
                                    GAsyncResult *res,
                                    GError **error);

### entangle_camera_automata_set_camera ()

    void
    entangle_camera_automata_set_camera (EntangleCameraAutomata *automata,
                                         EntangleCamera *camera);

### entangle_camera_automata_get_camera ()

    EntangleCamera *
    entangle_camera_automata_get_camera (EntangleCameraAutomata *automata);

Get the camera associated with the automata

#### Parameters

automata | the automata object. | [transfer none]

#### Returns

the camera or NULL.

[transfer none]

### entangle_camera_automata_set_session ()

    void
    entangle_camera_automata_set_session (EntangleCameraAutomata *automata,
                                          EntangleSession *session);

### entangle_camera_automata_get_session ()

    EntangleSession *
    entangle_camera_automata_get_session (EntangleCameraAutomata *automata);

Get the session associated with the automata

#### Parameters

automata | the automata object. | [transfer none]

#### Returns

the session or NULL.

[transfer none]

### entangle_camera_automata_set_delete_file ()

    void
    entangle_camera_automata_set_delete_file
                                   (EntangleCameraAutomata *automata,
                                    gboolean value);

### entangle_camera_automata_get_delete_file ()

    gboolean
    entangle_camera_automata_get_delete_file
                                   (EntangleCameraAutomata *automata);

## Types and Values

### ENTANGLE_TYPE_CAMERA_AUTOMATA

    #define ENTANGLE_TYPE_CAMERA_AUTOMATA (entangle_camera_automata_get_type())

### EntangleCameraAutomata

    typedef struct _EntangleCameraAutomata EntangleCameraAutomata;

## Property Details

### The `“camera”` property

      “camera”                   EntangleCamera *

Camera.

Owner: EntangleCameraAutomata

Flags: Read / Write

### The `“delete-file”` property

      “delete-file”              gboolean

Delete file.

Owner: EntangleCameraAutomata

Flags: Read / Write

Default value: TRUE

### The `“session”` property

      “session”                  EntangleSession *

Session.

Owner: EntangleCameraAutomata

Flags: Read / Write

## Signal Details

### The `“camera-capture-begin”` signal

    void
    user_function (EntangleCameraAutomata *entanglecameraautomata,
                   gpointer                user_data)

Flags: Run First

### The `“camera-capture-end”` signal

    void
    user_function (EntangleCameraAutomata *entanglecameraautomata,
                   gpointer                user_data)

Flags: Run First